//
//  CLR Api
//

// [[Rcpp::depends(BH)]]

#ifndef CLR_API
#define CLR_API

#include <cstdlib>
#include "RValue.hpp"

using namespace std;


//
// CLR API
//
class CLRApi
{
  public:

    CLRApi (const char* host = "localhost", int port = 56789, int retries = 4)
      : _host(host), _port(port), _retries(retries), 
	_tcp(NULL), _sin(NULL), _sout(NULL) {}

    ~CLRApi()
    {
      // stuff here
    }

    // create object
    RValue create (const std::string& classname, const Rcpp::List& argv);

    // many functions trimmed here

  private:
    std::string            _host;
    int                    _port;
    int                    _retries;
    void*             	   _tcp;   // dummied
    void*		   _sin;   // dummied
    void*                  _sout;  // dummied
};


#endif
