//
//  Various tests
//

// [[Rcpp::depends(BH)]]

#include <Rcpp.h>
#include <cstdlib>
#include "CLRApi.hpp"

using namespace Rcpp;

static CLRApi* api = NULL;


// [[Rcpp::export]]
void cinit(const std::string& host, int port)
{
    api = new CLRApi (host.c_str(), port);
}


// [[Rcpp::export]]
SEXP cnew (const std::string& classname, const List& argv)
{
    if (api == NULL)
        cinit ("localhost", 56789);
	       
    return api->create (classname, argv);
}
